---
title: "ShellData"
excerpt: "Data for shells."
layout: manual
---

Data for shells.

**Type:** `object`





## Properties

| Property | Type | Description | Required |
|----------|------|-------------|----------|
| `thickness` |`number`| The thickness of the shell. | No |
| `faces` |`[` [`FaceTag`](/docs/kcl/types/FaceTag) `]`| The faces you want removed. | No |


